Subject: bug#63659: 'guix offload status' should continue on missing machine

From: Efraim Flashner <[email-masked]>
Date: Tue, 23 May 2023 11:53:26 +0300

I have 8 machines in my /etc/guix/machines.scm file and I often find
myself editing it often. Most of the machines are various aarch64 or
riscv64 boards, and they go online and offline often depending on the
weather and what I have them build.

Currently I have this:
(ins)efraim@3900XT ~$ guix offload status
guix offload: getting status of 5 build machines defined in '/etc/guix/machines.scm'...
guix offload: error: failed to connect to 'pine64': Failed to resolve hostname pine64 (Name or service not known)

What I'd like:
(ins)efraim@3900XT ~$ guix offload status
guix offload: getting status of 5 build machines defined in '/etc/guix/machines.scm'...
guix offload: error: failed to connect to 'pine64': Failed to resolve hostname pine64 (Name or service not known)
guix offload: warning: machine 'pbp' is 6 seconds behind
pbp
  kernel: Linux 6.2.10-1-MANJARO-ARM
  architecture: aarch64
  host name: pbp
  normalized load: 0.00
  free disk space: 18542.41 MiB
  time difference: -6 s
...

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted